| Exiv2

Loading...
Searching...
No Matches
List of all members
Exiv2::Internal::TiffCopier Class Reference

Copy all image tags from the source tree (the tree that is traversed) to a target tree, which is empty except for the root element provided in the constructor. More...

`#include <tiffvisitor_int.hpp>`

Inheritance diagram for Exiv2::Internal::TiffCopier:
[legend]

## Public Member Functions
Creators
| TiffCopier (TiffComponent *pRoot, uint32_t root, const TiffHeaderBase *pHeader, const PrimaryGroups *pPrimaryGroups)
| Constructor.
| TiffCopier (const TiffCopier &)=delete
TiffCopier & | operator= (const TiffCopier &)=delete
| ~TiffCopier () override=default
| Virtual destructor.
Public Member Functions inherited from Exiv2::Internal::TiffVisitor
virtual | ~TiffVisitor ()=default
| Virtual destructor.
void | setGo (GoEvent event, bool go)
| Set the stop/go flag: true for go, false for stop.
virtual void | visitDirectoryNext (TiffDirectory *object)
| Operation to perform for a TIFF directory, after all components and before the next entry is processed.
virtual void | visitDirectoryEnd (TiffDirectory *object)
| Operation to perform for a TIFF directory, at the end of the processing.
virtual void | visitIfdMakernoteEnd (TiffIfdMakernote *object)
| Operation to perform after processing an IFD makernote.
virtual void | visitBinaryArrayEnd (TiffBinaryArray *object)
| Operation to perform for a TIFF binary array, at the end of the processing.
bool | go (GoEvent event) const
| Check if stop flag for event is clear, return true if it's clear.

## Manipulators
void | visitEntry (TiffEntry *object) override
| Copy a TIFF entry if it is an image tag.
void | visitDataEntry (TiffDataEntry *object) override
| Copy a TIFF data entry if it is an image tag.
void | visitImageEntry (TiffImageEntry *object) override
| Copy a TIFF image entry if it is an image tag.
void | visitSizeEntry (TiffSizeEntry *object) override
| Copy a TIFF size entry if it is an image tag.
void | visitDirectory (TiffDirectory *object) override
| Copy a TIFF directory if it is an image tag.
void | visitSubIfd (TiffSubIfd *object) override
| Copy a TIFF sub-IFD if it is an image tag.
void | visitMnEntry (TiffMnEntry *object) override
| Copy a TIFF makernote if it is an image tag.
void | visitIfdMakernote (TiffIfdMakernote *object) override
| Copy an IFD makernote if it is an image tag.
void | visitBinaryArray (TiffBinaryArray *object) override
| Copy a binary array if it is an image tag.
void | visitBinaryElement (TiffBinaryElement *object) override
| Copy an element of a binary array if it is an image tag.
void | copyObject (const TiffComponent *object)
| Check if object is an image tag and if so, copy it to the target tree.

## Additional Inherited Members
Public Types inherited from Exiv2::Internal::TiffVisitor
enum | GoEvent { geTraverse = 0 , geKnownMakernote = 1 }
| Events for the stop/go flag. See setGo(). More...

## Detailed Description

Copy all image tags from the source tree (the tree that is traversed) to a target tree, which is empty except for the root element provided in the constructor.

## Constructor & Destructor Documentation

## ◆ TiffCopier()

Exiv2::Internal::TiffCopier::TiffCopier | ( | TiffComponent * | pRoot,
|  | uint32_t | root,
|  | const TiffHeaderBase * | pHeader,
|  | const PrimaryGroups * | pPrimaryGroups )

Constructor.

Parameters

  pRoot | Pointer to the root element of the (empty) target tree.
  root | Actual root element
  pHeader | Pointer to the TIFF header of the source image.
  pPrimaryGroups | Pointer to the list of primary groups.

## Member Function Documentation

## ◆ visitBinaryArray()

void Exiv2::Internal::TiffCopier::visitBinaryArray | ( | TiffBinaryArray * | object | ) |
| override virtual

Copy a binary array if it is an image tag.

Implements Exiv2::Internal::TiffVisitor.

References copyObject().

## ◆ visitBinaryElement()

void Exiv2::Internal::TiffCopier::visitBinaryElement | ( | TiffBinaryElement * | object | ) |
| override virtual

Copy an element of a binary array if it is an image tag.

Implements Exiv2::Internal::TiffVisitor.

References copyObject().

## ◆ visitDataEntry()

void Exiv2::Internal::TiffCopier::visitDataEntry | ( | TiffDataEntry * | object | ) |
| override virtual

Copy a TIFF data entry if it is an image tag.

Implements Exiv2::Internal::TiffVisitor.

References copyObject().

## ◆ visitDirectory()

void Exiv2::Internal::TiffCopier::visitDirectory | ( | TiffDirectory * | object | ) |
| override virtual

Copy a TIFF directory if it is an image tag.

Implements Exiv2::Internal::TiffVisitor.

## ◆ visitEntry()

void Exiv2::Internal::TiffCopier::visitEntry | ( | TiffEntry * | object | ) |
| override virtual

Copy a TIFF entry if it is an image tag.

Implements Exiv2::Internal::TiffVisitor.

References copyObject().

## ◆ visitIfdMakernote()

void Exiv2::Internal::TiffCopier::visitIfdMakernote | ( | TiffIfdMakernote * | object | ) |
| override virtual

Copy an IFD makernote if it is an image tag.

Implements Exiv2::Internal::TiffVisitor.

References copyObject().

## ◆ visitImageEntry()

void Exiv2::Internal::TiffCopier::visitImageEntry | ( | TiffImageEntry * | object | ) |
| override virtual

Copy a TIFF image entry if it is an image tag.

Implements Exiv2::Internal::TiffVisitor.

References copyObject().

## ◆ visitMnEntry()

void Exiv2::Internal::TiffCopier::visitMnEntry | ( | TiffMnEntry * | object | ) |
| override virtual

Copy a TIFF makernote if it is an image tag.

Implements Exiv2::Internal::TiffVisitor.

References copyObject().

## ◆ visitSizeEntry()

void Exiv2::Internal::TiffCopier::visitSizeEntry | ( | TiffSizeEntry * | object | ) |
| override virtual

Copy a TIFF size entry if it is an image tag.

Implements Exiv2::Internal::TiffVisitor.

References copyObject().

## ◆ visitSubIfd()

void Exiv2::Internal::TiffCopier::visitSubIfd | ( | TiffSubIfd * | object | ) |
| override virtual

Copy a TIFF sub-IFD if it is an image tag.

Implements Exiv2::Internal::TiffVisitor.

References copyObject().

The documentation for this class was generated from the following files:

- tiffvisitor_int.hpp
- tiffvisitor_int.cpp